## r-cran-fontbitstreamvera 0.1.1+dfsg

=== DESCRIPTION ===
Package: fontBitstreamVera
Title: Fonts with 'Bitstream Vera Fonts' License
Version: 0.1.1
Authors@R: c(
    person("Lionel", "Henry", , "lionel.hry@gmail.com", c("cre", "aut")),
    person("Bitstream", role = "cph"))
Description: Provides fonts licensed under the 'Bitstream Vera Fonts'
    license for the 'fontquiver' package.
Depends: R (>= 3.0.0)
License: file LICENCE
Encoding: UTF-8
LazyData: true
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2017-01-31 20:03:43 UTC; lionel
Author: Lionel Henry [cre, aut],
  Bitstream [cph]
Maintainer: Lionel Henry <lionel.hry@gmail.com>
License_is_FOSS: yes
Repository: CRAN
Date/Publication: 2017-02-01 00:53:34

## r-cran-fontbitstreamvera 0.1.1%2Bdfsg

=== debian/control ===
Source: r-cran-fontbitstreamvera
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fontbitstreamvera
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fontbitstreamvera.git
Homepage: https://cran.r-project.org/package=fontBitstreamVera
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               ttf-bitstream-vera,
               sfnt2woff-zopfli
Testsuite: autopkgtest-pkg-r

Package: r-cran-fontbitstreamvera
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         ttf-bitstream-vera
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fonts with 'Bitstream Vera Fonts' license
 This GNU R package provides fonts licensed under the
 'Bitstream Vera Fonts' license for the package
 r-cran-fontquiver.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  https://cloud.r-project.org/src/contrib/fontBitstreamVera_([-\d.]*)\.tar\.gz

## r-cran-fontbitstreamvera 0.1.1+dfsg

=== debian/changelog ===
r-cran-fontbitstreamvera (0.1.1+dfsg-5) unstable; urgency=medium

  * Build-Depends: s/woff-tools/sfnt2woff-zopfli/ since woff-tools
    is outdated
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2024 14:12:52 +0100

r-cran-fontbitstreamvera (0.1.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Re-add ttf-bitstream-vera to deps (Closes: #961528)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 26 May 2020 06:52:29 +0200

r-cran-fontbitstreamvera (0.1.1+dfsg-3) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 21:46:17 +0200

r-cran-fontbitstreamvera (0.1.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Feb 2020 07:11:40 +0100

r-cran-fontbitstreamvera (0.1.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #928654)

 -- Andreas Tille <tille@debian.org>  Wed, 08 May 2019 13:40:02 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEBFONTNAME=ttf-bitstream-vera
RFONTNAME=bitstream-vera-fonts

%:
	dh $@ --buildsystem R

override_dh_auto_install:
	set -x ; \
	set -e ; \
	tmpdir=`mktemp -d` ; \
	cd $${tmpdir} ; \
	cp -a /usr/share/fonts/truetype/$(DEBFONTNAME)/*.ttf . ; \
	for ttf in *.ttf ; do sfnt2woff-zopfli $${ttf} ; done ; \
	mv *.woff $(CURDIR)/inst/fonts/$(RFONTNAME) ; \
	cd $(CURDIR) ; \
	rm -rf $${tmpdir}
	# Main install script is called here to fetch *.woff lintian issue for manually installed files
	dh_auto_install
	rm $(CURDIR)/inst/fonts/$(RFONTNAME)/*.woff
	find debian -name LICENCE -delete
